
var accion = document.editarEspacioForm.accion.value;

	
	
	$( document ).ready(function() {
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#checkboxBaja").hide();
		    $("#botoneraNuevo").show();    
		}  else {
			   $("#botoneraModificar").show();
	 	       $("#checkboxBaja").show();
		       $("#botoneraNuevo").hide();	   
		}
	}
	);
	
	//Dialogo con el mensaje y barra de sincronizar con gmao...
	$("#dialogoSincronizar").rup_dialog(
	{
		type : $.rup.dialog.DIV,
		height : 200,
		width : 500,
		modal : true,
		showLoading : true,
		autoOpen : false,
		title : $.rup.i18n.app.mensajesEdificios.sincronizando
	});

	//Se Crea el combo de seleccion de Interior Exterior
	$('#intExtCombo').rup_combo({
		source : [
				{i18nCaption: $.rup.i18n.app.comboIntExt.interior, value:"I"},
				{i18nCaption: $.rup.i18n.app.comboIntExt.exterior, value:"E"}
		         ],
		width: 100,
		select: function(event, object){
		},
		selected: document.editarEspacioForm.seleccionIntExt.value,
		style : "dropdown"	
	});
	
/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEspacio.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaEspacio();		
			},
			CANCELFunction : function(){
			}
			});
	}
		
	function guardarNuevaEspacio() {	
		var properties={
				url:"../espacio/addNuevaEspacio",
				feedback:$("#feedbackEditarEspacio"),
				useJsonIfPossible: true,
				dataType:"json",
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 	$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(data){		
					 	$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					  	$("#idespacio2").val(data.idespacio);
					  	
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarEspacioForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   	 
				 },
				 validate: {
					 rules: {
						 "cespacio":{required:true},
						 "eespacio":{required:true}
					 }
				 }
				};
				$("#editarEspacioForm").rup_form(properties);				
				$("#editarEspacioForm").submit();
	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEspacio.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarEspacio ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarEspacio () {		
		var properties={
				url:"../espacio/modificaEspacio",
				feedback:$("#feedbackEditarEspacio"),
				useJsonIfPossible: true,
				beforeSend : function(data) {
					//Mostrar div de sincronizando
					$("#dialogoSincronizar").rup_dialog("open");
					
					
				},
				 error: function(data) {					
					 $("#dialogoSincronizar").rup_dialog("close");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){		
					 $("#dialogoSincronizar").rup_dialog("close");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cespacio":{required:true},
						 "eespacio":{required:true}
					 }
				 }
				};
				$("#editarEspacioForm").rup_form(properties);				
				$("#editarEspacioForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../espacio/nuevo";		

	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoTipoIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarEspacio").rup_feedback (properties);

   		$("#feedbackEditarEspacio").rup_feedback("set", texto);

   		$("#feedbackEditarEspacio").rup_feedback("show");
	}
	
	
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarEspacio").rup_feedback (properties);

 		$("#feedbackEditarEspacio").rup_feedback("set", texto);

 		$("#feedbackEditarEspacio").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarEspacio").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




